.spinner {
  position: fixed;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, .5);
  top: 0;
  margin: 0;
  z-index: 9997;
  &> * {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    z-index: 9998;
    &> div {
      position: fixed;
      top: 50%;
      left: 50%;
      transform: translateX(-50%) translateY(-50%);
      z-index: 9999;
    }
  }
}